/**********************************************************************
*  File Name: COMPILER.H                                              *
*  Purpose:   COMTROL Hostess i Compiler-dependant definitions        *
*  Date:      September 19, 1990                                      *
*  Author:    Howard D. Straus                                        *
*  Release: 1.00 - Original release                                   *
***********************************************************************
*                         COPYRIGHT NOTICE                            *
*=====================================================================*
*   Copyright 1990, 1991 by Howard D. Straus and Comtrol Corporation. *
*   All rights reserved.  Use or reproduction by any means of any     *
*   portion of this code contrary to the developers license agreement *
*   is expressly prohibited.                                          *
***********************************************************************/

typedef unsigned int    UINT;
typedef unsigned long   ULONG;
typedef unsigned char   UTINY;
typedef unsigned long   TIME;

#ifdef  TURBO_C

#define HUGE      huge
#define OUTP      outportb
#define OUTPW     outport
#define INP       inportb
#define INPW      inport

typedef struct  isr_ad {
        void    far (*isr)();
} IA_;

#else

#define HUGE      far
#define OUTP      outp
#define OUTPW     outpw
#define INP       inp
#define INPW      inpw

#define MK_FP(a, b)     ((void far *)(f_p.so[0] = b, f_p.so[1] = a, f_p.ptr))

int     _acrtused;      /* eliminate Microsoft's startup CRT0 */
#endif


                                        /* ***** END OF FILE ***** */
